﻿using Hotline.Settings;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar
{
    public class SystemOrganizeRepository : BaseRepository<SystemOrganize>, ISystemOrganizeRepository, IScopeDependency
    {
        public SystemOrganizeRepository(ISugarUnitOfWork<HotlineDbContext> uow) : base(uow)
        {
        }


        public async Task<IReadOnlyList<SystemOrganize>> GetOrgJson()
        {
            var list = await Db.Queryable<SystemOrganize>()
                .ToTreeAsync(x => x.children, it => it.ParentId, "");
            return list;
        }

        public async Task<IReadOnlyList<SystemOrganize>> GetCanUseOrg()
        {
            var list = await Db.Queryable<SystemOrganize>()
                .Where(x=>x.IsEnable)
                .ToTreeAsync(x => x.children, it => it.ParentId, "");
            return list;
        }
    }
}
